Loading...
Searching...
No Matches
pcl::poisson::CoredMeshData2 Class Referenceabstract

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

Inheritance diagram for pcl::poisson::CoredMeshData2:

## Classes

struct | Vertex

## Public Member Functions

virtual | ~CoredMeshData2 ()=default
virtual void | resetIterator (void)=0
virtual int | addOutOfCorePoint (const Vertex &v)=0
virtual int | addPolygon (const std::vector< CoredVertexIndex > &vertices)=0
virtual int | nextOutOfCorePoint (Vertex &v)=0
virtual int | nextPolygon (std::vector< CoredVertexIndex > &vertices)=0
virtual int | outOfCorePointCount (void)=0
virtual int | polygonCount (void)=0

## Public Attributes

std::vector< Vertex > | inCorePoints

## Detailed Description

Definition at line 217 of file geometry.h.

## Constructor & Destructor Documentation

## ~CoredMeshData2()

virtual pcl::poisson::CoredMeshData2::~CoredMeshData2 | ( |  | ) |

virtual default

## Member Function Documentation

## addOutOfCorePoint()

virtual int pcl::poisson::CoredMeshData2::addOutOfCorePoint | ( | const Vertex & | v | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData2, and pcl::poisson::CoredFileMeshData2.

## addPolygon()

virtual int pcl::poisson::CoredMeshData2::addPolygon | ( | const std::vector< CoredVertexIndex > & | vertices | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData2, and pcl::poisson::CoredFileMeshData2.

## nextOutOfCorePoint()

virtual int pcl::poisson::CoredMeshData2::nextOutOfCorePoint | ( | Vertex & | v | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData2, and pcl::poisson::CoredFileMeshData2.

## nextPolygon()

virtual int pcl::poisson::CoredMeshData2::nextPolygon | ( | std::vector< CoredVertexIndex > & | vertices | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData2, and pcl::poisson::CoredFileMeshData2.

## outOfCorePointCount()

virtual int pcl::poisson::CoredMeshData2::outOfCorePointCount | ( | void |  | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData2, and pcl::poisson::CoredFileMeshData2.

## polygonCount()

virtual int pcl::poisson::CoredMeshData2::polygonCount | ( | void |  | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData2, and pcl::poisson::CoredFileMeshData2.

## resetIterator()

virtual void pcl::poisson::CoredMeshData2::resetIterator | ( | void |  | ) |

pure virtual

Implemented in pcl::poisson::CoredVectorMeshData2, and pcl::poisson::CoredFileMeshData2.

## Member Data Documentation

## inCorePoints

std::vector< Vertex > pcl::poisson::CoredMeshData2::inCorePoints

Definition at line 239 of file geometry.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/geometry.h